Đến nội dung


Hình ảnh
* * * - - 4 Bình chọn

Giao diện hộp thoại trong AutoLisp


  • Please log in to reply
208 replies to this topic

#141 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 08 September 2013 - 09:53 PM

bác bình ơi nhờ bác tí nữa. em mún thay đổi 1 tí 

Hề hề hề,

Gì chứ muốn bớt đi thì có khó chi. Nhưng mà bạn muốn tự bớt hay muốn bớt hộ. Bớt hộ thì nhanh nhưng bạn sẽ thu hoạch được ít. Còn tự bớt thì sẽ hơi khó ka8n cho bạn một chút nhưng bạn sẽ hiểu hơn về dialog. 

Nếu bạn muốn tự bớt, mình sẽ hướng dẫn bạn làm thử và trong quá trình làm mình sẽ giải thích luôn cho bạn hiểu thêm về dialog.

Còn việc muốn cỡ chữ sai lệch bằng cỡ chữ kích thước bạn cũng nên tự làm sẽ hiểu về CAD hơn. Trong CAD chiều cao text sai lệch giới hạn được quyết định bởi biến hệ thống dimtfac. Biến này xác định tỷ lệ giữa chiều cao của text ghi sai lệch và text ghi kích thuớc. 

Sở dĩ bạn thấy cỡ text ghi sai lệch hiện tại nhỏ hơn text ghi kích thước là do trong lisp bạn gửi lên đã thiết lập biến dimtfac này là 0.5 tức là cỡ text ghi sai lệch chỉ bằng 1/2 text ghi kích thước. Như vậy bạn hoàn toàn có thể tự sửa nó theo kích cỡ bạn muốn.

Không tin bạn hãy làm thử xem sao nhé.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#142 tqvuong1984

tqvuong1984

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 08 September 2013 - 11:51 PM

bác ah,em tải về rùi ma sao cũng làm các bước ngon lành thấy ok rùi

đến khi vào lại model nhập lệnh 'CD' enter thì thế này F1 ? là sao, chẳng dùng dc,bó tay

(em mới làm cái này,trước đây toan làm thủ công ,hixxxx)

 


  • -1

#143 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 09 September 2013 - 01:39 AM

bác ah,em tải về rùi ma sao cũng làm các bước ngon lành thấy ok rùi

đến khi vào lại model nhập lệnh 'CD' enter thì thế này F1 ? là sao, chẳng dùng dc,bó tay

(em mới làm cái này,trước đây toan làm thủ công ,hixxxx)

Hề hề hề,

Bạn cần cho biết cái lisp bạn dùng là lisp nào và cái lệnh CD là cái lệnh gì mới có thể trả lời bạn được chớ.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#144 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 09 September 2013 - 05:49 PM

thật sư thằng dcl này khác xa với lisp... không hề đơn giản... nếu đọc sách mà làm được thi trên đời này ko cần tới thầy, cô.... bác không phiền thì bác co thể hướng dẫn chi tiết cho thằng em này được chứ. còn cái biến dimtfac thì em biết. nhưng điều em đề cập tới dây là dung sai đối xứng( tức là hậu tố của dim.) và nếu em thay đổi thằng dimtfac thì cái dung sai kia(không fai dung sai đối xứng) sẽ thay đổi.. em đã thử.. giờ không biết làm sao để được cả 2 yêu cầu về dung sai và dung sai đối xứng... em cảm ơn bác trước


  • 0

#145 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 09 September 2013 - 07:13 PM

thật sư thằng dcl này khác xa với lisp... không hề đơn giản... nếu đọc sách mà làm được thi trên đời này ko cần tới thầy, cô.... bác không phiền thì bác co thể hướng dẫn chi tiết cho thằng em này được chứ. còn cái biến dimtfac thì em biết. nhưng điều em đề cập tới dây là dung sai đối xứng( tức là hậu tố của dim.) và nếu em thay đổi thằng dimtfac thì cái dung sai kia(không fai dung sai đối xứng) sẽ thay đổi.. em đã thử.. giờ không biết làm sao để được cả 2 yêu cầu về dung sai và dung sai đối xứng... em cảm ơn bác trước

Hề hề hề,

Té ra là bạn chỉ muốn thằng dung sai đối xứng thì to bằng thằng kich thước gốc, còn thằng không đối xứng thì vẫn bé nguyên như vậy,

Điều này dấu có khó gì, thay vì bạn chỉ có một dòng code cho thằng dimtfac thì bây chừ phải thành hai và nhét mỗi thằng vào đúng vị trí điều kiện của nó là Ok.

Bạn mở file lisp ra sẽ thấy và bạn thử làm như sau xem nó có đúng cái bạn cần không nhé"

1/- Cut dòng code :  (COMMAND "DIM" "DIMTFAC" "0.5" ) rồi paste nó vào vị trí dưới dòng códe (progn 

nhưng trên dòng code :  (setq tp (atof (get_tile "myvalue1")))

trong hàm con (defun saveVars ()

2/- Copy dòng code này vào vị trí dưới dòng code (progn 

 nhưng trên dòng code:  (setq  tp (/ (atof (nth (atoi myvalue) mylist)) 1000)

cũng trong hàm con này.

Sau đó sửa "0.5" thành "1.0" .

 

Lưu lại file lisp và test nhé.

 

Còn về yêu cầu chỉnh sửa hộp thoại bạn có còn cần nữa không????

Nếu còn cứ liên lạc qua Yahoo chát mình sẽ hướng dẫn và giải thích cụ thể.

 

Chúc bạn thành công.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#146 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 09 September 2013 - 08:04 PM

bac đúng là sư phụ cua em.. để em xem sao đã. để thử ngâm cứu xem.. có gì help sau.. kam on bác nhiều


  • 0

#147 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5451 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 09 September 2013 - 08:49 PM

@Nguyenbd1: hình như bạn chưa thấy nút mũi tên màu xanh ở góc phải dưới của mỗi bài viết? Nút đó cũng quan trọng không kém những câu hỏi của bạn.


  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#148 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 09 September 2013 - 10:36 PM

thank bác hà đã chỉ dáo


  • 0

#149 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 05 January 2014 - 10:24 AM

bạn ơi chương tình geo dùng như thế nào vây? dùng để làm gì mình tải về
nhưng chẳng biết dùng vào đâu và dùng như thế nào nữa?


  • 0

#150 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 05 January 2014 - 12:17 PM

đây là đoạn mã của bác ssg

(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
;;;--------------------------------------------------------------
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
;;;--------------------------------------------------------------
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
;;;--------------------------------------------------------------
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
;;;--------------------------------------------------------------
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
;;;--------------------------------------------------------------
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
;;;--------------------------------------------------------------
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------
 
(defun slide_slb(MyTile MyImg xi yi / x y)
(start_image MyTile)
(setq x (dimx_tile MyTile) y (dimy_tile MyTile))
(fill_image 0 0 x y 0)
(slide_image xi yi x y MyImg)
(end_image)
)
;;;--------------------------------------------------------------
(defun geo_dialog( / i)
;;;Load dialog file
    (setq i (load_dialog "geo.dcl"))
    (if (not (new_dialog "geo" i)) (exit))
;;;Slide slb file
    (slide_slb "cir" "geo(cir)" 0 -10)
    (slide_slb "squ" "geo(squ)" 0 -10)
    (slide_slb "tri" "geo(tri)" 0 -10)
;;;Assign actions
    (action_tile "cir" "(setq MyType 1)(done_dialog)")
    (action_tile "squ" "(setq MyType 2)(done_dialog)")
    (action_tile "tri" "(setq MyType 3)(done_dialog)")
;;;Display dialog and unload dialog
    (start_dialog) (unload_dialog i)
)
;;;--------------------------------------------------------------
(defun C:GEO( / MyType)
(geo_dialog)
(cond
    ((= MyType 1) (alert "This is a circle"))
    ((= MyType 2) (alert "This is a square"))
    ((= MyType 3) (alert "This is a triangle"))
    ((alert "Not any type selected!")) 
)
)
;;;--------------------------------------------------------------

  • 0

#151 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 05 January 2014 - 12:32 PM

em sửa daon mã  ((= MyType 1) (alert "This is a circle"))  thành

((= MyType 1) ( command "-insert"  "m6_top" pause  "" ))

trong  lisp ở trong file nén sau

 

http://www.cadviet.c.../122369_geo.rar

vấn đề ở đây là lúc gõ lệnh nó sẽ hiện lên 3 cái hình. giờ em nún thay dổi

và thêm những hình mới giờ biết làm sao.. 

122369_jj.jpg

cụ thể ở dây em mún thêm những cái ảnh củ các lỗ ta ro( làm thư viện với mỗi hình thêm vào là 1 lệnh insert tương ứng với 1 bản vẽ mà mình tự tạo...

- những cái hình trên được tạo nên từ file geo.slb. nên giờ khong biết chỉnh và thêm vào sao 


  • 0

#152 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 05 January 2014 - 12:37 PM

có ai biết chỉnh sửa geo.lsp trên mà không cần dùng tới file geo.slb không. chỉ sử dụng các file .sld cảm ơn các bác trước 


  • 0

#153 ThuyLinh313

ThuyLinh313

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 288 Bài viết
Điểm đánh giá: 142 (tàm tạm)

Đã gửi 07 September 2014 - 03:44 PM

các bạn cho mình hỏi:

1. thiết lập aspect_ratio trong : image có tác dụng gì? Đọc help mình không hiểu nổi

2. mình nhớ có ai đó đã viết hộp thoại có image. trong đó image có đường viền bao quanh. vậy : image có thiết lập nào để tạo đường viền không hay lập trình viên phải vẽ nó?


  • 0

#154 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5451 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 08 September 2014 - 05:18 PM

các bạn cho mình hỏi:

1. thiết lập aspect_ratio trong : image có tác dụng gì? Đọc help mình không hiểu nổi

2. mình nhớ có ai đó đã viết hộp thoại có image. trong đó image có đường viền bao quanh. vậy : image có thiết lập nào để tạo đường viền không hay lập trình viên phải vẽ nó?

2). Theo chú được biết thì Image không có thiết lập đường viền.

1). Đây là những hiểu biết của chú. Không hiểu ý cháu muốn hiểu điều gì về aspect_ratio?

Height : Chiều cao Tile. Đơn vị tính là chiều cao ký tự (chiều cao ký tự trên màn hình, kể cả khoảng cách giữa 2 dòng).

Width : Chiều rộng Tile. Đơn vị tính là chiều rộng ký tự.

Aspect_ratio : Tỉ lệ giữa chiều rộng và chiều cao của hình ảnh xuất hiện trên Image.

Trong 3 thuộc tính trên chỉ cần gán 2 thuộc tính là đủ.

Nói chung, khi Aspect_ratio = 1 thì hình là vuông. Tuy nhiên, khi sắp xếp Image theo Row hoặc Column thì Height và Width còn phụ thuộc kích cỡ Min/Max của các Tile cùng Row hoặc cùng Column.

Chú ý: khi gán Height = Width thì không có nghĩa là hình sẽ vuông.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#155 lenhatanh

lenhatanh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 16 October 2014 - 08:56 AM

Các Bạn cho mình hỏi: Trong hộp thoại của CAD lisp, phần danh mục trong Popuplist có thể mở rộng theo chiều dài text không ?

 

88193_popuplist.png


  • 0

#156 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5451 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 16 October 2014 - 09:13 AM

1). Của bạn là list_box chứ không phải popup_list?

2). Không thể mở rộng theo chiều dài text được, nó bị khống chế do width đã đặt trước.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#157 lenhatanh

lenhatanh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 16 October 2014 - 02:30 PM

Cám ơn bạn,

vậy có cách nào khác để xem đủ Text ngoài việc mở rộng Width không bạn ?

(mở rộng width thì cái thì đủ rộng, cái thì thừa quá...)  


  • 0

#158 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 02 November 2014 - 09:30 PM

122369_1_3.jpg 

CHÀO ANH EM CAD VIET XIN NHO ANH EM CHỈ GIÁO TRÊN LÀ LISP GHI DUNG SAI.   NHỜ ANH EM SUẢ SAO CHO. KHI CHON VÀO HÌNH MÀU XANH HOAC MÀU HÔNG THAY CHO "CHON KICH THƯỚC" SỐ 2 TRÊN HÌNH VẼ A , ĐÂY LÀ FILEhttp://www.cadviet.c...369_nho_sua.zip


  • 0

#159 anhduccec

anhduccec

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 21 (tàm tạm)

Đã gửi 03 November 2014 - 09:02 AM

Thay hoặc bổ sung:

(action_tile "M3" "(setq ddiag 2) (saveVars)(done_dialog)")

(action_tile "M4" "(setq ddiag 2) (saveVars)(done_dialog)")

Tại dòng:

(action_tile "accept" "(setq ddiag 2) (saveVars)(done_dialog)")


  • 1

#160 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 03 November 2014 - 07:13 PM

   rất cảm ơn anhduc... lại  nhờ anh 1 tí nữa. không cần check vao lựa chọn 1, mà  vẫn dung như yêu cầu122369_2_2.jpg


  • 0